From: PHILL MAHH <[email-masked]>
Date: Sat, 18 Dec 93 21:05:40 CST

Thanks to all the people who provided the following information. 
I liked one comment which says:lets do something instead of waiting. I've sent
two letters to Mi Mi, sr., but no response. I need your help, friends, to make 
our voices stronger. If you know anything, please tell me who in the upper 
level should go to talk to. Thanks to all of you, again. 

			Interview	Work Permit	G.C.(approaved)

Atlanta INS		  YES	          YES              NO
Boston INS		  NO		  NO		   NO
Denver INS    		  NO		  YES		   NO
Kansas City INS           NO		  YES		   NO
Kentucky INS		  NO		  YES		   NO
Memphis INS		  NO		  YES		   NO
			(but ask for f.p.)

New York INS              NO		  YES		   NO
Omaha INS                 NO	          YES              NO
Philadephia INS           YES             YES		   NO
		(but the info. sender was told eligible to adj. status)  

Pittsburg INS             NO		  YES		   NO
Twin Citis INS            NO		  YES		   NO